package middleware;

import java.net.UnknownHostException;
import java.time.LocalDateTime;
import middleware.agents.Portal;
import middleware.agents.Router;
import middleware.agents.UserAgent;

/**
 *
 * @author JLScott1999
 */
public class StressTestSendMsgServer
{
    
    public static void main(String[] args) throws UnknownHostException
    {
        Router r2 = new Router(10000, "2.0.0", 100);
        Portal p1r2 = new Portal(10000, "2.1.0");
        UserAgent u1p1r2 = new UserAgent("2.1.1");
        r2.addAgent(p1r2);
        r2.start();
        //p1r1.addAgent(p2r1);
        p1r2.addAgent(u1p1r2);
        p1r2.start();
        
        r2.connect("1.0.0", "127.0.0.1", 50);
        
        int SENDMSGCOUNT = 1000;
        
        new Thread(new Runnable() {
            @Override
            public void run()
            {
                for (int i = 0; i < SENDMSGCOUNT; i++)
                {
                    u1p1r2.sendMsg(u1p1r2.getAddress(), "1.1.1", LocalDateTime.now().toString());
                }
            }
        }).start();

//        for (int i = 0; i < SENDMSGCOUNT; i++)
//        {
//            u2p1r1.sendMsg(u2p1r1.getAddress(), "1.1.1", LocalDateTime.now().toString());
//        }
    }
    
}
