package middleware.observer;

/**
 * An Observer interface created to facilitate the implementation of the Observer design pattern between UserAgents and NodeMonitors.
 * 
 * @author Dylan Currey
 * @since 12/12/18
 */
public interface Observer {
    
    /**
     * Updates the Observer with the specified command
     * @param msg
     * @return 
     */
    public boolean update(Object msg);
    
}

