package middleware.socket;

import java.io.IOException;
import java.util.Scanner;
import middleware.message.Message;
import middleware.message.MetaAgentMessage;
import middleware.message.UserMessage;

/**
 * Runs an instance of Client
 */
public class ClientInstance
{
    /**
     * 
     * @param args
     * @throws IOException
     */
    public static void main(String[] args) throws IOException
    {


        //Input message stuff
        System.out.println("Client");

        Scanner sc = new Scanner(System.in);
        System.out.print("Please input the server IP: ");
        String ip = sc.nextLine();
        System.out.print("Please input the port: ");
        int port = sc.nextInt();

        Client client = new Client(ip, port);
        client.connect();
        
        sc.nextLine();
        

        String message, target;
        for(;;)
        {
            System.out.print("Please enter target address: ");
            target = sc.nextLine();
            System.out.print("Please enter message: ");
            message = sc.nextLine();
            
            //Meta agent stuff
            MetaAgentMessage metaAgentMessage = new MetaAgentMessage(new UserMessage(message, target, "3", false, "", "MID"), 1000);

            client.send(metaAgentMessage);
        }

    }
}
